Bug 65321 - Web Inspector: group scripts by folder in the scripts selector.
Summary: Web Inspector: group scripts by folder in the scripts selector.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on: 65525
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 09:20 PDT by Pavel Feldman
Modified: 2011-08-02 03:40 PDT (History)
12 users (show)

See Also:


Attachments
Patch (11.95 KB, patch)
2011-07-28 09:51 PDT, Pavel Feldman
yurys: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2011-07-28 09:20:01 PDT
Patch to follow.
Comment 1 Pavel Feldman 2011-07-28 09:51:39 PDT
Created attachment 102264 [details]
Patch
Comment 2 WebKit Review Bot 2011-07-28 17:47:18 PDT
Comment on attachment 102264 [details]
Patch

Attachment 102264 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9260467

New failing tests:
inspector/debugger/scripts-sorting.html
Comment 3 Yury Semikhatsky 2011-07-31 23:16:45 PDT
Comment on attachment 102264 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=102264&action=review

Before landing the change please make sure the test passes on Chromium.

> Source/WebCore/inspector/front-end/ScriptsPanel.js:268
> +        option.nameForSorting = folderNameForSorting + "\t/\t" + names.displayName; // User Tab to make files stick to their folder.

Please fix the misleading comment.
Comment 4 Pavel Feldman 2011-08-01 01:17:20 PDT
Committed r92105: <http://trac.webkit.org/changeset/92105>